# What can be sold for a stay, on the direct rate plans

`GET /public/lodging/availability` · Rivier · bookings

What can be sold for a stay, on the direct rate plans.

- Scope: bookings:read
- Graphql: Query.publicLodgingAvailability
- Sdk: bookings.publicStay.availability
- Cli: bookings public stay availability
- Publishable: yes

## Parameters

- `propertyId` (query, required), string
- `arrival` (query, required), string
- `departure` (query, required), string
- `adults` (query), integer
- `children` (query), integer
- `infants` (query), integer
- `roomTypeId` (query), string
- `ratePlanId` (query), string
- `promoCode` (query), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/public/lodging/availability' \
  -H 'Authorization: Bearer $KEY'
```
